services:
    pim_enrich.error.documentation_builder_registry:
        class: Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilderRegistry
        arguments:
            - !tagged_iterator pim_enrich.error.documentation_builder

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\AttributeOptionValidation:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\DefaultAttributeValidation:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\UniqueProductIdentifier:
        tags: [ pim_enrich.error.documentation_builder ]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\UnknownAttribute:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\UnknownCategory:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\UnknownChannel:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\UnknownCurrency:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\UnknownFamily:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\LocalizableAttribute:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\LocalizableScopableAttribute:
        tags: [pim_enrich.error.documentation_builder]

    Akeneo\Pim\Enrichment\Component\Error\DocumentationBuilder\NotEmptyFamily:
        tags: [pim_enrich.error.documentation_builder]
